using System;
using System.Collections;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using SysCore.Control;
using SysCore.Model;
using SysCore.DAL;

public partial class Base_SettleStyle_SettleStyle_Edit : System.Web.UI.Page
{
    public AuthUI auth = new AuthUI();
    public SettleStyle m;
    public string action;
    public Hashtable xview = new Hashtable();
    protected void Page_Load(object sender, EventArgs e)
    {
        action = Request["action"].ToString();
        xview.Add("action", action);
        //update为修改状态
        BindData();
    }
    /// <summary>
    /// 绑定页面数据
    /// </summary>
    void BindData()
    {
        int st_id = Convert.ToInt32(Request["id"]);
        
        SettleStyleDAL dal = new SettleStyleDAL();
        m = dal.Get(st_id);
        ModuleFormatDesigner mfd = new ModuleFormatDesigner();
        InputUI ui = new InputUI();
        string sql_select_field = "";//SQL所需选择列
        string module = "Base_SettleStyle_Input";//模块
        mfd.CreateInput(module, ref ui, ref sql_select_field, m);
        xview.Add("input_ui", ui.CreateUI());
        Hashtable ht_js = mfd.MakeJavaScript_GetInput(module);
        xview.Add("Script_GetInput", ht_js["Script_GetInput"].ToString());
        xview.Add("Script_SaveJSON", ht_js["Script_SaveJSON"].ToString());
    }
}